{%extends "account.html"%}
{%block main%}

<div class="registration-form message-form">
    <form action="{{url_for('messages.message')}}" class='form-group' method="POST" novalidate>
        {{ form.hidden_tag() }} 
        <div class="form-field">
            {{form.recipient_no(class="form-field form-control form-control-lg", placeholder="Recipient Number")}}
            {%for error in form.recipient_no.errors%}
                <div class="error-feedback"><span>{{error}}</span></div>
            {%endfor%}
        </div>
        <div class="form-field">
            {{form.message(class="form-field form-control form-control-lg", placeholder="")}}
            {%for error in form.message.errors%}
                <div class="error-feedback"><span>{{error}}</span></div>
            {%endfor%}
        </div>

        {{form.send(class="styled-button site-theme-color")}}
        
    </form>
</div>
<aside class="contacts-aside">
    <h2>Contacts:</h2>
    <ul class="contacts-list">
    {%for contact in contacts%}
        <li class="contact-item"><a class="styled-button" href="{{url_for('messages.message_to', contact_no=contact.contact_no)}}">{{contact.contact_name}} : {{contact.contact_no}}</a></li>
    {%endfor%}
    </ul>
</aside>
{%endblock main%}